=== modified file 'drizzled/common.h'
--- drizzled/common.h	2009-03-19 20:23:03 +0000
+++ drizzled/common.h	2009-03-20 15:38:14 +0000
@@ -219,7 +219,6 @@
 #define UNUSED_CLIENT_PROTOCOL_41	512	/* New 4.1 protocol */
 #define CLIENT_SSL              2048	/* Switch to SSL after handshake */
 #define CLIENT_IGNORE_SIGPIPE   4096    /* IGNORE sigpipes */
-#define CLIENT_TRANSACTIONS	8192	/* Client knows about transactions */
 #define CLIENT_RESERVED         16384   /* Old flag for 4.1 protocol  */
 #define CLIENT_SECURE_CONNECTION 32768  /* New 4.1 authentication */
 #define CLIENT_MULTI_STATEMENTS (1UL << 16) /* Enable/disable multi-stmt support */
@@ -239,7 +238,6 @@
                            CLIENT_IGNORE_SPACE | \
                            CLIENT_SSL | \
                            CLIENT_IGNORE_SIGPIPE | \
-                           CLIENT_TRANSACTIONS | \
                            CLIENT_RESERVED | \
                            CLIENT_SECURE_CONNECTION | \
                            CLIENT_MULTI_STATEMENTS | \

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-03-20 05:35:22 +0000
+++ drizzled/drizzled.cc	2009-03-20 15:38:14 +0000
@@ -248,7 +248,6 @@
 bool server_id_supplied = 0;
 bool opt_endinfo, using_udf_functions;
 bool locked_in_memory;
-bool opt_using_transactions;
 bool volatile abort_loop;
 bool volatile shutdown_in_progress;
 bool opt_local_infile;
@@ -2758,7 +2757,6 @@
   test_flags= select_errors= dropping_tables= ha_open_options=0;
   wake_thread=0;
   opt_endinfo= using_udf_functions= 0;
-  opt_using_transactions= false;
   abort_loop= select_thread_in_use= false;
   ready_to_exit= shutdown_in_progress= 0;
   aborted_threads= aborted_connects= 0;

=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2009-03-18 08:22:53 +0000
+++ drizzled/handler.cc	2009-03-20 15:38:14 +0000
@@ -165,7 +165,6 @@
     binary log (which is considered a transaction-capable storage engine in
     counting total_ha)
   */
-  opt_using_transactions= total_ha>(uint32_t)opt_bin_log;
   savepoint_alloc_size+= sizeof(SAVEPOINT);
   return(error);
 }

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2009-03-19 22:02:59 +0000
+++ drizzled/server_includes.h	2009-03-20 15:38:14 +0000
@@ -133,7 +133,6 @@
 extern uint32_t delay_key_write_options;
 extern bool opt_endinfo, using_udf_functions;
 extern bool locked_in_memory;
-extern bool opt_using_transactions;
 extern bool using_update_log, server_id_supplied;
 extern bool opt_update_log, opt_bin_log;
 extern bool opt_log;

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2009-03-20 01:55:18 +0000
+++ drizzled/session.cc	2009-03-20 15:38:14 +0000
@@ -855,8 +855,6 @@
 
     server_capabilites= CLIENT_BASIC_FLAGS;
 
-    if (opt_using_transactions)
-      server_capabilites|= CLIENT_TRANSACTIONS;
 #ifdef HAVE_COMPRESS
     server_capabilites|= CLIENT_COMPRESS;
 #endif /* HAVE_COMPRESS */
@@ -936,8 +934,7 @@
     return false;
   }
 
-  if ((client_capabilities & CLIENT_TRANSACTIONS) && opt_using_transactions)
-    net.return_status= &server_status;
+  net.return_status= &server_status;
 
   char *user= end;
   char *passwd= strchr(user, '\0')+1;

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2009-03-20 05:35:22 +0000
+++ drizzled/sql_parse.cc	2009-03-20 15:38:14 +0000
@@ -1460,7 +1460,7 @@
     break;
   }
   case SQLCOM_SAVEPOINT:
-    if (!(session->options & (OPTION_NOT_AUTOCOMMIT | OPTION_BEGIN)) || !opt_using_transactions)
+    if (!(session->options & (OPTION_NOT_AUTOCOMMIT | OPTION_BEGIN)))
       session->my_ok();
     else
     {

=== modified file 'libdrizzleclient/libdrizzle_priv.h'
--- libdrizzleclient/libdrizzle_priv.h	2009-02-08 11:28:58 +0000
+++ libdrizzleclient/libdrizzle_priv.h	2009-03-20 15:38:14 +0000
@@ -25,9 +25,7 @@
 
 #include <sys/socket.h>
 
-#define CLIENT_CAPABILITIES (CLIENT_LONG_PASSWORD | CLIENT_LONG_FLAG |  \
-                             CLIENT_TRANSACTIONS |                      \
-                             CLIENT_SECURE_CONNECTION)
+#define CLIENT_CAPABILITIES (CLIENT_LONG_PASSWORD | CLIENT_LONG_FLAG | CLIENT_SECURE_CONNECTION)
 
 #if !defined(__GNUC__) || (__GNUC__ == 2 && __GNUC_MINOR__ < 96)
 #define __builtin_expect(x, expected_value) (x)

